<?php
namespace Plugin\TransferCharacter;

define('__PATH_TRANSFERCHARACTER_ROOT__', __PATH_PLUGINS__.'transfercharacter/');
define('__TRANSFERCHARACTER_HOME__', __BASE_URL__.'usercp/transfercharacter/');

$extra_admincp_sidebar[] = array(
    'Transfer Character', array(
        array('Settings','transfercharacter&page=settings'),
        array('Logs','transfercharacter&page=logs'),
    )
);

$langCode = function_exists('config') ? config('language_default', true) : 'en';
$langFile = __PATH_TRANSFERCHARACTER_ROOT__.'languages/'.$langCode.'/language.php';
if(!is_file($langFile)) $langFile = __PATH_TRANSFERCHARACTER_ROOT__.'languages/en/language.php';
if(!@include_once($langFile)) throw new \Exception('Error loading language file (transfercharacter).');
if(!@include_once(__PATH_TRANSFERCHARACTER_ROOT__.'classes/class.transfercharacter.php')) throw new \Exception(lang('transfercharacter_error_1'));
